import React, { useState, forwardRef } from "react";
// import { Icon } from 'umi'
import { Input } from "antd";

type CompoundedComponent = React.ForwardRefExoticComponent<{
  label: string;
}> & {
  name: string;
  icon: string;
};
const Circle = forwardRef((prpps, ref) => {
  const [value, setValue] = useState(prpps.label);
  const [editMode, setEditMode] = useState(true);

  return (
    <>
      <span onDoubleClick={() => setEditMode(true)}>
        <Input value={value} onChange={(e) => setValue(e.target.value)} />:{" "}
      </span>
    </>
  );
}) as CompoundedComponent;

Circle.name = "圆形";
Circle.icon = require("./image/circle.png").default;

export default Circle;
